# RainerScript

RainerScript is a scripting language specifically designed and well-suited for processing network events and configuring event processors. It is the prime configuration language used for rsyslog. Please note that RainerScript may not be abreviated as rscript, because that’s somebody else’s trademark.

Some limited RainerScript support is available since rsyslog 3.12.0 (for expression support). In v5, “if .. then” statements are supported. The first full implementation is available since rsyslog v6.

- Data Types
- Expressions
- Functions
- Control Structures
- configuration objects
  - action()
  - global()
  - input()
  - module()
  - parser()
  - timezone()
- Constant Strings
- Variable (Property) types
  - set
  - unset
  - reset
- Lookup Tables
- General Queue Parameters
- The rsyslog “call” statement
  - syntax
  - related links
- global() configuration object